org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryNodeLeftMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryNodeLeftMessage

All Implemented Interfaces:
  Serializable

    @TcpDiscoveryEnsureDelivery
    @TcpDiscoveryRedirectToClient
    public class TcpDiscoveryNodeLeftMessage
    extends TcpDiscoveryAbstractMessage

Sent by node that is stopping to coordinator across the ring, then sent by coordinator across the ring.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryNodeLeftMessage(UUID creatorNodeId)` Constructor.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, equals, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryNodeLeftMessage

    public TcpDiscoveryNodeLeftMessage(UUID creatorNodeId)

Constructor.

Parameters:
  `creatorNodeId` - ID of the node that is about to leave the topology.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015